- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# QPaintDevice Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qpaintdevice.h.

`#include <qpaintdevice.h>`

Inheritance diagram for QPaintDevice:
[legend]

List of all members.

## Public Types
enum | PaintDeviceMetric { PdmWidth = 1, PdmHeight, PdmWidthMM, PdmHeightMM, PdmNumColors, PdmDepth, PdmDpiX, PdmDpiY, PdmPhysicalDpiX, PdmPhysicalDpiY }
## Public Member Functions
virtual | ~QPaintDevice ()
virtual int | devType () const
bool | paintingActive () const
virtual QPaintEngine * | paintEngine () const =0
int | width () const
int | height () const
int | widthMM () const
int | heightMM () const
int | logicalDpiX () const
int | logicalDpiY () const
int | physicalDpiX () const
int | physicalDpiY () const
int | colorCount () const
int | depth () const
## Protected Member Functions
| QPaintDevice ()
virtual int | metric (PaintDeviceMetric metric) const
## Protected Attributes
ushort | painters
## Friends
class | QPainter
class | QFontEngineMac
class | QX11PaintEngine
Q_GUI_EXPORT int | qt_paint_device_metric (const QPaintDevice *device, PaintDeviceMetric metric)

## Member Enumeration Documentation

enum PaintDeviceMetric

Search for all occurrences

Enumerator:

  PdmWidth | Search for all occurrences
  PdmHeight | Search for all occurrences
  PdmWidthMM | Search for all occurrences
  PdmHeightMM | Search for all occurrences
  PdmNumColors | Search for all occurrences
  PdmDepth | Search for all occurrences
  PdmDpiX | Search for all occurrences
  PdmDpiY | Search for all occurrences
  PdmPhysicalDpiX | Search for all occurrences
  PdmPhysicalDpiY | Search for all occurrences

Definition at line 63 of file qpaintdevice.h.

                               {
            PdmWidth = 1,
            PdmHeight,
            PdmWidthMM,
            PdmHeightMM,
            PdmNumColors,
            PdmDepth,
            PdmDpiX,
            PdmDpiY,
            PdmPhysicalDpiX,
            PdmPhysicalDpiY
        };

## Constructor & Destructor Documentation

virtual ~QPaintDevice | ( |  | ) | `[virtual]`

QPaintDevice | ( |  | ) | `[protected]`

## Member Function Documentation

int devType | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Reimplemented in QImage, QPicture, QPixmap, QPrinter, QWidget, QGLFramebufferObject, and QGLPixelBuffer.

Definition at line 167 of file qpaintdevice.h.

    { return QInternal::UnknownDevice; }

bool paintingActive | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 170 of file qpaintdevice.h.

    { return painters != 0; }

virtual QPaintEngine* paintEngine | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QImage, QPicture, QPixmap, QPrinter, QWidget, QGLWidget, QGLFramebufferObject, and QGLPixelBuffer.

int width | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented in QImage, QPixmap, and QWidget.

Definition at line 91 of file qpaintdevice.h.

    { return metric(PdmWidth); }

int height | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented in QImage, QPixmap, and QWidget.

Definition at line 92 of file qpaintdevice.h.

    { return metric(PdmHeight); }

int widthMM | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 93 of file qpaintdevice.h.

    { return metric(PdmWidthMM); }

int heightMM | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 94 of file qpaintdevice.h.

    { return metric(PdmHeightMM); }

int logicalDpiX | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 95 of file qpaintdevice.h.

    { return metric(PdmDpiX); }

int logicalDpiY | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 96 of file qpaintdevice.h.

    { return metric(PdmDpiY); }

int physicalDpiX | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 97 of file qpaintdevice.h.

    { return metric(PdmPhysicalDpiX); }

int physicalDpiY | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 98 of file qpaintdevice.h.

    { return metric(PdmPhysicalDpiY); }

int colorCount | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented in QImage.

Definition at line 102 of file qpaintdevice.h.

    { return metric(PdmNumColors); }

int depth | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented in QImage, and QPixmap.

Definition at line 103 of file qpaintdevice.h.

    { return metric(PdmDepth); }

virtual int metric | ( | PaintDeviceMetric | metric | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented in QImage, QPicture, QPixmap, QPrinter, QWidget, QGLFramebufferObject, and QGLPixelBuffer.

## Friends And Related Function Documentation

friend class QPainter `[friend]`

Search for all occurrences

Reimplemented in QPixmap, and QWidget.

Definition at line 140 of file qpaintdevice.h.

friend class QFontEngineMac `[friend]`

Search for all occurrences

Definition at line 141 of file qpaintdevice.h.

friend class QX11PaintEngine `[friend]`

Search for all occurrences

Reimplemented in QPixmap, and QWidget.

Definition at line 142 of file qpaintdevice.h.

Q_GUI_EXPORT int qt_paint_device_metric | ( | const QPaintDevice * | device,
|  | PaintDeviceMetric | metric
| ) |  | `[friend]`

Search for all occurrences

## Member Data Documentation

ushort painters `[protected]`

Search for all occurrences

Definition at line 109 of file qpaintdevice.h.

The documentation for this class was generated from the following file:

- QtGui/qpaintdevice.h

QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice
QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice QPaintDevice